namespace ZionVault.Util.Trim
{
    public interface ITrim
    {
        string Type { get; }

        char[] TrimChars { get; set; }

        string Apply(string value);

        string Apply(string value, char trimChar);

        string Apply(string value, char[] trimChars);
    }
}
